org.keycloak.representations

## Class LogoutToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.LogoutToken

- All Implemented Interfaces:
    Serializable, Token

      public class LogoutToken
      extends JsonWebToken

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `events`
    `protected String` | `sid`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, exp, iat, id, issuedFor, issuer, nbf, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogoutToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenCategory` | `getCategory()`
    `Map<String,Object>` | `getEvents()`
    `String` | `getSid()`
    `void` | `putEvents(String name, Object value)`
    `LogoutToken` | `setSid(String sid)`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `addAudience, audience, exp, expiration, getAudience, getExp, getExpiration, getIat, getId, getIssuedAt, getIssuedFor, getIssuer, getNbf, getNotBefore, getOtherClaims, getSubject, getType, hasAnyAudience, hasAudience, iat, id, isActive, isActive, isExpired, isIssuedBeforeSessionStart, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, nbf, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sid

          protected String sid

    - #### events

          protected Map<String,Object> events

  - ### Constructor Detail

    - #### LogoutToken

          public LogoutToken()

  - ### Method Detail

    - #### getEvents

          public Map<String,Object> getEvents()

    - #### putEvents

          public void putEvents(String name,
                                Object value)

    - #### getSid

          public String getSid()

    - #### setSid

          public LogoutToken setSid(String sid)

    - #### getCategory

          public TokenCategory getCategory()

      Specified by:
        `getCategory` in interface `Token`
      Overrides:
        `getCategory` in class `JsonWebToken`

Copyright © 2021 JBoss by Red Hat. All rights reserved.